package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.themis.business.entity.TEAudio;

import java.util.Map;

/**
 * <p>
 * 场次音频表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2022-08-30
 */
public interface TEAudioMapper extends BaseMapper<TEAudio> {

    /**
     * 根据场次id查询音频信息
     *
     * @param iPage
     * @param activityId
     * @return
     */
    IPage<TEAudio> query(IPage<Map> iPage, Long activityId);
}
