package com.qmth.themis.task.enums;

/**
 * @Description: quartz task enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/31
 */
public enum QuartzTaskEnum {

    MQ_JOB_NAME("mqjob"),

    MQ_JOB_GROUP_NAME("mqjob group"),

    EXAM_ACTIVITY_JOB_GROUP_NAME("考场一次性延时job group"),

    EXAM_STUDENT_JOB_GROUP_NAME("考生一次性延时job group"),

    MQ_ACTIVITY_JOB_NAME("mq_activity_job"),

    MQ_ACTIVITY_JOB_GROUP_NAME("mq_activity_job group"),
    
    OBJECTIVE_ANSWER_CACHE_LOAD_JOB_NAME("客观题缓存加载"),
    
    OBJECTIVE_ANSWER_CACHE_LOAD_JOB_GROUP_NAME("客观题缓存加载");

    private QuartzTaskEnum(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }
}
