package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TEAudio;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 场次音频表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2022-08-30
 */
public interface TEAudioService extends IService<TEAudio> {

    /**
     * 根据场次id查询音频信息
     *
     * @param iPage
     * @param activityId
     * @return
     */
    IPage<TEAudio> query(IPage<Map> iPage, @Param("activityId") Long activityId);
}
